// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.28.1
// 	protoc        v3.21.12
// source: carp.proto

package proto

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type Method int32

const (
	Method_nothing Method = 0
	Method_get     Method = 1
	Method_post    Method = 2
	Method_patch   Method = 3
	Method_put     Method = 4
	Method_delete  Method = 5
	Method_options Method = 6
)

// Enum value maps for Method.
var (
	Method_name = map[int32]string{
		0: "nothing",
		1: "get",
		2: "post",
		3: "patch",
		4: "put",
		5: "delete",
		6: "options",
	}
	Method_value = map[string]int32{
		"nothing": 0,
		"get":     1,
		"post":    2,
		"patch":   3,
		"put":     4,
		"delete":  5,
		"options": 6,
	}
)

func (x Method) Enum() *Method {
	p := new(Method)
	*p = x
	return p
}

func (x Method) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (Method) Descriptor() protoreflect.EnumDescriptor {
	return file_carp_proto_enumTypes[0].Descriptor()
}

func (Method) Type() protoreflect.EnumType {
	return &file_carp_proto_enumTypes[0]
}

func (x Method) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use Method.Descriptor instead.
func (Method) EnumDescriptor() ([]byte, []int) {
	return file_carp_proto_rawDescGZIP(), []int{0}
}

type ConfigurationRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	JsonString string `protobuf:"bytes,1,opt,name=jsonString,proto3" json:"jsonString,omitempty"`
}

func (x *ConfigurationRequest) Reset() {
	*x = ConfigurationRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_carp_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ConfigurationRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ConfigurationRequest) ProtoMessage() {}

func (x *ConfigurationRequest) ProtoReflect() protoreflect.Message {
	mi := &file_carp_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ConfigurationRequest.ProtoReflect.Descriptor instead.
func (*ConfigurationRequest) Descriptor() ([]byte, []int) {
	return file_carp_proto_rawDescGZIP(), []int{0}
}

func (x *ConfigurationRequest) GetJsonString() string {
	if x != nil {
		return x.JsonString
	}
	return ""
}

type ConfigurationResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *ConfigurationResponse) Reset() {
	*x = ConfigurationResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_carp_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ConfigurationResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ConfigurationResponse) ProtoMessage() {}

func (x *ConfigurationResponse) ProtoReflect() protoreflect.Message {
	mi := &file_carp_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ConfigurationResponse.ProtoReflect.Descriptor instead.
func (*ConfigurationResponse) Descriptor() ([]byte, []int) {
	return file_carp_proto_rawDescGZIP(), []int{1}
}

type HttpRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id      []byte            `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	Path    string            `protobuf:"bytes,2,opt,name=path,proto3" json:"path,omitempty"`
	Method  Method            `protobuf:"varint,3,opt,name=method,proto3,enum=main.Method" json:"method,omitempty"`
	Headers map[string]string `protobuf:"bytes,4,rep,name=headers,proto3" json:"headers,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	Body    []byte            `protobuf:"bytes,5,opt,name=body,proto3" json:"body,omitempty"`
}

func (x *HttpRequest) Reset() {
	*x = HttpRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_carp_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *HttpRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*HttpRequest) ProtoMessage() {}

func (x *HttpRequest) ProtoReflect() protoreflect.Message {
	mi := &file_carp_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use HttpRequest.ProtoReflect.Descriptor instead.
func (*HttpRequest) Descriptor() ([]byte, []int) {
	return file_carp_proto_rawDescGZIP(), []int{2}
}

func (x *HttpRequest) GetId() []byte {
	if x != nil {
		return x.Id
	}
	return nil
}

func (x *HttpRequest) GetPath() string {
	if x != nil {
		return x.Path
	}
	return ""
}

func (x *HttpRequest) GetMethod() Method {
	if x != nil {
		return x.Method
	}
	return Method_nothing
}

func (x *HttpRequest) GetHeaders() map[string]string {
	if x != nil {
		return x.Headers
	}
	return nil
}

func (x *HttpRequest) GetBody() []byte {
	if x != nil {
		return x.Body
	}
	return nil
}

type HttpResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id      []byte            `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	Path    string            `protobuf:"bytes,2,opt,name=path,proto3" json:"path,omitempty"`
	Headers map[string]string `protobuf:"bytes,3,rep,name=headers,proto3" json:"headers,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	Status  int32             `protobuf:"varint,5,opt,name=status,proto3" json:"status,omitempty"`
	Body    []byte            `protobuf:"bytes,6,opt,name=body,proto3" json:"body,omitempty"`
}

func (x *HttpResponse) Reset() {
	*x = HttpResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_carp_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *HttpResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*HttpResponse) ProtoMessage() {}

func (x *HttpResponse) ProtoReflect() protoreflect.Message {
	mi := &file_carp_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use HttpResponse.ProtoReflect.Descriptor instead.
func (*HttpResponse) Descriptor() ([]byte, []int) {
	return file_carp_proto_rawDescGZIP(), []int{3}
}

func (x *HttpResponse) GetId() []byte {
	if x != nil {
		return x.Id
	}
	return nil
}

func (x *HttpResponse) GetPath() string {
	if x != nil {
		return x.Path
	}
	return ""
}

func (x *HttpResponse) GetHeaders() map[string]string {
	if x != nil {
		return x.Headers
	}
	return nil
}

func (x *HttpResponse) GetStatus() int32 {
	if x != nil {
		return x.Status
	}
	return 0
}

func (x *HttpResponse) GetBody() []byte {
	if x != nil {
		return x.Body
	}
	return nil
}

type RequestStartResult struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Types that are assignable to Result:
	//
	//	*RequestStartResult_Request
	//	*RequestStartResult_Response
	//	*RequestStartResult_Void
	Result isRequestStartResult_Result `protobuf_oneof:"result"`
}

func (x *RequestStartResult) Reset() {
	*x = RequestStartResult{}
	if protoimpl.UnsafeEnabled {
		mi := &file_carp_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *RequestStartResult) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RequestStartResult) ProtoMessage() {}

func (x *RequestStartResult) ProtoReflect() protoreflect.Message {
	mi := &file_carp_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RequestStartResult.ProtoReflect.Descriptor instead.
func (*RequestStartResult) Descriptor() ([]byte, []int) {
	return file_carp_proto_rawDescGZIP(), []int{4}
}

func (m *RequestStartResult) GetResult() isRequestStartResult_Result {
	if m != nil {
		return m.Result
	}
	return nil
}

func (x *RequestStartResult) GetRequest() *HttpRequest {
	if x, ok := x.GetResult().(*RequestStartResult_Request); ok {
		return x.Request
	}
	return nil
}

func (x *RequestStartResult) GetResponse() *HttpResponse {
	if x, ok := x.GetResult().(*RequestStartResult_Response); ok {
		return x.Response
	}
	return nil
}

func (x *RequestStartResult) GetVoid() *HttpVoidResponse {
	if x, ok := x.GetResult().(*RequestStartResult_Void); ok {
		return x.Void
	}
	return nil
}

type isRequestStartResult_Result interface {
	isRequestStartResult_Result()
}

type RequestStartResult_Request struct {
	Request *HttpRequest `protobuf:"bytes,1,opt,name=request,proto3,oneof"`
}

type RequestStartResult_Response struct {
	Response *HttpResponse `protobuf:"bytes,2,opt,name=response,proto3,oneof"`
}

type RequestStartResult_Void struct {
	Void *HttpVoidResponse `protobuf:"bytes,3,opt,name=void,proto3,oneof"`
}

func (*RequestStartResult_Request) isRequestStartResult_Result() {}

func (*RequestStartResult_Response) isRequestStartResult_Result() {}

func (*RequestStartResult_Void) isRequestStartResult_Result() {}

type HttpVoidResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id []byte `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
}

func (x *HttpVoidResponse) Reset() {
	*x = HttpVoidResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_carp_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *HttpVoidResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*HttpVoidResponse) ProtoMessage() {}

func (x *HttpVoidResponse) ProtoReflect() protoreflect.Message {
	mi := &file_carp_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use HttpVoidResponse.ProtoReflect.Descriptor instead.
func (*HttpVoidResponse) Descriptor() ([]byte, []int) {
	return file_carp_proto_rawDescGZIP(), []int{5}
}

func (x *HttpVoidResponse) GetId() []byte {
	if x != nil {
		return x.Id
	}
	return nil
}

type RequestEndResult struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Types that are assignable to Result:
	//
	//	*RequestEndResult_Response
	//	*RequestEndResult_Void
	Result isRequestEndResult_Result `protobuf_oneof:"result"`
}

func (x *RequestEndResult) Reset() {
	*x = RequestEndResult{}
	if protoimpl.UnsafeEnabled {
		mi := &file_carp_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *RequestEndResult) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RequestEndResult) ProtoMessage() {}

func (x *RequestEndResult) ProtoReflect() protoreflect.Message {
	mi := &file_carp_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RequestEndResult.ProtoReflect.Descriptor instead.
func (*RequestEndResult) Descriptor() ([]byte, []int) {
	return file_carp_proto_rawDescGZIP(), []int{6}
}

func (m *RequestEndResult) GetResult() isRequestEndResult_Result {
	if m != nil {
		return m.Result
	}
	return nil
}

func (x *RequestEndResult) GetResponse() *HttpResponse {
	if x, ok := x.GetResult().(*RequestEndResult_Response); ok {
		return x.Response
	}
	return nil
}

func (x *RequestEndResult) GetVoid() *HttpVoidResponse {
	if x, ok := x.GetResult().(*RequestEndResult_Void); ok {
		return x.Void
	}
	return nil
}

type isRequestEndResult_Result interface {
	isRequestEndResult_Result()
}

type RequestEndResult_Response struct {
	Response *HttpResponse `protobuf:"bytes,1,opt,name=response,proto3,oneof"`
}

type RequestEndResult_Void struct {
	Void *HttpVoidResponse `protobuf:"bytes,2,opt,name=void,proto3,oneof"`
}

func (*RequestEndResult_Response) isRequestEndResult_Result() {}

func (*RequestEndResult_Void) isRequestEndResult_Result() {}

type CacheStartResult struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Types that are assignable to Result:
	//
	//	*CacheStartResult_Response
	//	*CacheStartResult_Void
	Result isCacheStartResult_Result `protobuf_oneof:"result"`
}

func (x *CacheStartResult) Reset() {
	*x = CacheStartResult{}
	if protoimpl.UnsafeEnabled {
		mi := &file_carp_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CacheStartResult) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CacheStartResult) ProtoMessage() {}

func (x *CacheStartResult) ProtoReflect() protoreflect.Message {
	mi := &file_carp_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CacheStartResult.ProtoReflect.Descriptor instead.
func (*CacheStartResult) Descriptor() ([]byte, []int) {
	return file_carp_proto_rawDescGZIP(), []int{7}
}

func (m *CacheStartResult) GetResult() isCacheStartResult_Result {
	if m != nil {
		return m.Result
	}
	return nil
}

func (x *CacheStartResult) GetResponse() *CacheResponse {
	if x, ok := x.GetResult().(*CacheStartResult_Response); ok {
		return x.Response
	}
	return nil
}

func (x *CacheStartResult) GetVoid() *CacheVoidResponse {
	if x, ok := x.GetResult().(*CacheStartResult_Void); ok {
		return x.Void
	}
	return nil
}

type isCacheStartResult_Result interface {
	isCacheStartResult_Result()
}

type CacheStartResult_Response struct {
	Response *CacheResponse `protobuf:"bytes,1,opt,name=response,proto3,oneof"`
}

type CacheStartResult_Void struct {
	Void *CacheVoidResponse `protobuf:"bytes,2,opt,name=void,proto3,oneof"`
}

func (*CacheStartResult_Response) isCacheStartResult_Result() {}

func (*CacheStartResult_Void) isCacheStartResult_Result() {}

type CacheRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id        []byte `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	CacheName string `protobuf:"bytes,2,opt,name=cacheName,proto3" json:"cacheName,omitempty"`
}

func (x *CacheRequest) Reset() {
	*x = CacheRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_carp_proto_msgTypes[8]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CacheRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CacheRequest) ProtoMessage() {}

func (x *CacheRequest) ProtoReflect() protoreflect.Message {
	mi := &file_carp_proto_msgTypes[8]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CacheRequest.ProtoReflect.Descriptor instead.
func (*CacheRequest) Descriptor() ([]byte, []int) {
	return file_carp_proto_rawDescGZIP(), []int{8}
}

func (x *CacheRequest) GetId() []byte {
	if x != nil {
		return x.Id
	}
	return nil
}

func (x *CacheRequest) GetCacheName() string {
	if x != nil {
		return x.CacheName
	}
	return ""
}

type CacheResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id           []byte  `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	ResponseSize float64 `protobuf:"fixed64,2,opt,name=responseSize,proto3" json:"responseSize,omitempty"`
	ResponseByte []byte  `protobuf:"bytes,3,opt,name=responseByte,proto3" json:"responseByte,omitempty"`
}

func (x *CacheResponse) Reset() {
	*x = CacheResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_carp_proto_msgTypes[9]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CacheResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CacheResponse) ProtoMessage() {}

func (x *CacheResponse) ProtoReflect() protoreflect.Message {
	mi := &file_carp_proto_msgTypes[9]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CacheResponse.ProtoReflect.Descriptor instead.
func (*CacheResponse) Descriptor() ([]byte, []int) {
	return file_carp_proto_rawDescGZIP(), []int{9}
}

func (x *CacheResponse) GetId() []byte {
	if x != nil {
		return x.Id
	}
	return nil
}

func (x *CacheResponse) GetResponseSize() float64 {
	if x != nil {
		return x.ResponseSize
	}
	return 0
}

func (x *CacheResponse) GetResponseByte() []byte {
	if x != nil {
		return x.ResponseByte
	}
	return nil
}

type CacheVoidResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id []byte `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
}

func (x *CacheVoidResponse) Reset() {
	*x = CacheVoidResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_carp_proto_msgTypes[10]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CacheVoidResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CacheVoidResponse) ProtoMessage() {}

func (x *CacheVoidResponse) ProtoReflect() protoreflect.Message {
	mi := &file_carp_proto_msgTypes[10]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CacheVoidResponse.ProtoReflect.Descriptor instead.
func (*CacheVoidResponse) Descriptor() ([]byte, []int) {
	return file_carp_proto_rawDescGZIP(), []int{10}
}

func (x *CacheVoidResponse) GetId() []byte {
	if x != nil {
		return x.Id
	}
	return nil
}

var File_carp_proto protoreflect.FileDescriptor

var file_carp_proto_rawDesc = []byte{
	0x0a, 0x0a, 0x63, 0x61, 0x72, 0x70, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x04, 0x6d, 0x61,
	0x69, 0x6e, 0x22, 0x36, 0x0a, 0x14, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x75, 0x72, 0x61, 0x74,
	0x69, 0x6f, 0x6e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x1e, 0x0a, 0x0a, 0x6a, 0x73,
	0x6f, 0x6e, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0a,
	0x6a, 0x73, 0x6f, 0x6e, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x22, 0x17, 0x0a, 0x15, 0x43, 0x6f,
	0x6e, 0x66, 0x69, 0x67, 0x75, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x65, 0x73, 0x70, 0x6f,
	0x6e, 0x73, 0x65, 0x22, 0xe1, 0x01, 0x0a, 0x0b, 0x48, 0x74, 0x74, 0x70, 0x52, 0x65, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0c, 0x52,
	0x02, 0x69, 0x64, 0x12, 0x12, 0x0a, 0x04, 0x70, 0x61, 0x74, 0x68, 0x18, 0x02, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x04, 0x70, 0x61, 0x74, 0x68, 0x12, 0x24, 0x0a, 0x06, 0x6d, 0x65, 0x74, 0x68, 0x6f,
	0x64, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x0c, 0x2e, 0x6d, 0x61, 0x69, 0x6e, 0x2e, 0x4d,
	0x65, 0x74, 0x68, 0x6f, 0x64, 0x52, 0x06, 0x6d, 0x65, 0x74, 0x68, 0x6f, 0x64, 0x12, 0x38, 0x0a,
	0x07, 0x68, 0x65, 0x61, 0x64, 0x65, 0x72, 0x73, 0x18, 0x04, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x1e,
	0x2e, 0x6d, 0x61, 0x69, 0x6e, 0x2e, 0x48, 0x74, 0x74, 0x70, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x2e, 0x48, 0x65, 0x61, 0x64, 0x65, 0x72, 0x73, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x52, 0x07,
	0x68, 0x65, 0x61, 0x64, 0x65, 0x72, 0x73, 0x12, 0x12, 0x0a, 0x04, 0x62, 0x6f, 0x64, 0x79, 0x18,
	0x05, 0x20, 0x01, 0x28, 0x0c, 0x52, 0x04, 0x62, 0x6f, 0x64, 0x79, 0x1a, 0x3a, 0x0a, 0x0c, 0x48,
	0x65, 0x61, 0x64, 0x65, 0x72, 0x73, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x12, 0x10, 0x0a, 0x03, 0x6b,
	0x65, 0x79, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x6b, 0x65, 0x79, 0x12, 0x14, 0x0a,
	0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x76, 0x61,
	0x6c, 0x75, 0x65, 0x3a, 0x02, 0x38, 0x01, 0x22, 0xd5, 0x01, 0x0a, 0x0c, 0x48, 0x74, 0x74, 0x70,
	0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x0c, 0x52, 0x02, 0x69, 0x64, 0x12, 0x12, 0x0a, 0x04, 0x70, 0x61, 0x74, 0x68,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x70, 0x61, 0x74, 0x68, 0x12, 0x39, 0x0a, 0x07,
	0x68, 0x65, 0x61, 0x64, 0x65, 0x72, 0x73, 0x18, 0x03, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x1f, 0x2e,
	0x6d, 0x61, 0x69, 0x6e, 0x2e, 0x48, 0x74, 0x74, 0x70, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73,
	0x65, 0x2e, 0x48, 0x65, 0x61, 0x64, 0x65, 0x72, 0x73, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x52, 0x07,
	0x68, 0x65, 0x61, 0x64, 0x65, 0x72, 0x73, 0x12, 0x16, 0x0a, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75,
	0x73, 0x18, 0x05, 0x20, 0x01, 0x28, 0x05, 0x52, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x12,
	0x12, 0x0a, 0x04, 0x62, 0x6f, 0x64, 0x79, 0x18, 0x06, 0x20, 0x01, 0x28, 0x0c, 0x52, 0x04, 0x62,
	0x6f, 0x64, 0x79, 0x1a, 0x3a, 0x0a, 0x0c, 0x48, 0x65, 0x61, 0x64, 0x65, 0x72, 0x73, 0x45, 0x6e,
	0x74, 0x72, 0x79, 0x12, 0x10, 0x0a, 0x03, 0x6b, 0x65, 0x79, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x03, 0x6b, 0x65, 0x79, 0x12, 0x14, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x18, 0x02,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x3a, 0x02, 0x38, 0x01, 0x22,
	0xad, 0x01, 0x0a, 0x12, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x53, 0x74, 0x61, 0x72, 0x74,
	0x52, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x12, 0x2d, 0x0a, 0x07, 0x72, 0x65, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x11, 0x2e, 0x6d, 0x61, 0x69, 0x6e, 0x2e, 0x48,
	0x74, 0x74, 0x70, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x48, 0x00, 0x52, 0x07, 0x72, 0x65,
	0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x30, 0x0a, 0x08, 0x72, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73,
	0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x12, 0x2e, 0x6d, 0x61, 0x69, 0x6e, 0x2e, 0x48,
	0x74, 0x74, 0x70, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x48, 0x00, 0x52, 0x08, 0x72,
	0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x2c, 0x0a, 0x04, 0x76, 0x6f, 0x69, 0x64, 0x18,
	0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x16, 0x2e, 0x6d, 0x61, 0x69, 0x6e, 0x2e, 0x48, 0x74, 0x74,
	0x70, 0x56, 0x6f, 0x69, 0x64, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x48, 0x00, 0x52,
	0x04, 0x76, 0x6f, 0x69, 0x64, 0x42, 0x08, 0x0a, 0x06, 0x72, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x22,
	0x22, 0x0a, 0x10, 0x48, 0x74, 0x74, 0x70, 0x56, 0x6f, 0x69, 0x64, 0x52, 0x65, 0x73, 0x70, 0x6f,
	0x6e, 0x73, 0x65, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0c, 0x52,
	0x02, 0x69, 0x64, 0x22, 0x7c, 0x0a, 0x10, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x45, 0x6e,
	0x64, 0x52, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x12, 0x30, 0x0a, 0x08, 0x72, 0x65, 0x73, 0x70, 0x6f,
	0x6e, 0x73, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x12, 0x2e, 0x6d, 0x61, 0x69, 0x6e,
	0x2e, 0x48, 0x74, 0x74, 0x70, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x48, 0x00, 0x52,
	0x08, 0x72, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x2c, 0x0a, 0x04, 0x76, 0x6f, 0x69,
	0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x16, 0x2e, 0x6d, 0x61, 0x69, 0x6e, 0x2e, 0x48,
	0x74, 0x74, 0x70, 0x56, 0x6f, 0x69, 0x64, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x48,
	0x00, 0x52, 0x04, 0x76, 0x6f, 0x69, 0x64, 0x42, 0x08, 0x0a, 0x06, 0x72, 0x65, 0x73, 0x75, 0x6c,
	0x74, 0x22, 0x7e, 0x0a, 0x10, 0x43, 0x61, 0x63, 0x68, 0x65, 0x53, 0x74, 0x61, 0x72, 0x74, 0x52,
	0x65, 0x73, 0x75, 0x6c, 0x74, 0x12, 0x31, 0x0a, 0x08, 0x72, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73,
	0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x13, 0x2e, 0x6d, 0x61, 0x69, 0x6e, 0x2e, 0x43,
	0x61, 0x63, 0x68, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x48, 0x00, 0x52, 0x08,
	0x72, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x2d, 0x0a, 0x04, 0x76, 0x6f, 0x69, 0x64,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x17, 0x2e, 0x6d, 0x61, 0x69, 0x6e, 0x2e, 0x43, 0x61,
	0x63, 0x68, 0x65, 0x56, 0x6f, 0x69, 0x64, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x48,
	0x00, 0x52, 0x04, 0x76, 0x6f, 0x69, 0x64, 0x42, 0x08, 0x0a, 0x06, 0x72, 0x65, 0x73, 0x75, 0x6c,
	0x74, 0x22, 0x3c, 0x0a, 0x0c, 0x43, 0x61, 0x63, 0x68, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0c, 0x52, 0x02, 0x69,
	0x64, 0x12, 0x1c, 0x0a, 0x09, 0x63, 0x61, 0x63, 0x68, 0x65, 0x4e, 0x61, 0x6d, 0x65, 0x18, 0x02,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x63, 0x61, 0x63, 0x68, 0x65, 0x4e, 0x61, 0x6d, 0x65, 0x22,
	0x67, 0x0a, 0x0d, 0x43, 0x61, 0x63, 0x68, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65,
	0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0c, 0x52, 0x02, 0x69, 0x64,
	0x12, 0x22, 0x0a, 0x0c, 0x72, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x53, 0x69, 0x7a, 0x65,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x01, 0x52, 0x0c, 0x72, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65,
	0x53, 0x69, 0x7a, 0x65, 0x12, 0x22, 0x0a, 0x0c, 0x72, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65,
	0x42, 0x79, 0x74, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0c, 0x52, 0x0c, 0x72, 0x65, 0x73, 0x70,
	0x6f, 0x6e, 0x73, 0x65, 0x42, 0x79, 0x74, 0x65, 0x22, 0x23, 0x0a, 0x11, 0x43, 0x61, 0x63, 0x68,
	0x65, 0x56, 0x6f, 0x69, 0x64, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x0e, 0x0a,
	0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0c, 0x52, 0x02, 0x69, 0x64, 0x2a, 0x55, 0x0a,
	0x06, 0x4d, 0x65, 0x74, 0x68, 0x6f, 0x64, 0x12, 0x0b, 0x0a, 0x07, 0x6e, 0x6f, 0x74, 0x68, 0x69,
	0x6e, 0x67, 0x10, 0x00, 0x12, 0x07, 0x0a, 0x03, 0x67, 0x65, 0x74, 0x10, 0x01, 0x12, 0x08, 0x0a,
	0x04, 0x70, 0x6f, 0x73, 0x74, 0x10, 0x02, 0x12, 0x09, 0x0a, 0x05, 0x70, 0x61, 0x74, 0x63, 0x68,
	0x10, 0x03, 0x12, 0x07, 0x0a, 0x03, 0x70, 0x75, 0x74, 0x10, 0x04, 0x12, 0x0a, 0x0a, 0x06, 0x64,
	0x65, 0x6c, 0x65, 0x74, 0x65, 0x10, 0x05, 0x12, 0x0b, 0x0a, 0x07, 0x6f, 0x70, 0x74, 0x69, 0x6f,
	0x6e, 0x73, 0x10, 0x06, 0x32, 0xc9, 0x02, 0x0a, 0x06, 0x50, 0x6c, 0x75, 0x67, 0x69, 0x6e, 0x12,
	0x44, 0x0a, 0x09, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x75, 0x72, 0x65, 0x12, 0x1a, 0x2e, 0x6d,
	0x61, 0x69, 0x6e, 0x2e, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x75, 0x72, 0x61, 0x74, 0x69, 0x6f,
	0x6e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x1b, 0x2e, 0x6d, 0x61, 0x69, 0x6e, 0x2e,
	0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x75, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x65, 0x73,
	0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x3f, 0x0a, 0x0c, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74,
	0x53, 0x74, 0x61, 0x72, 0x74, 0x12, 0x11, 0x2e, 0x6d, 0x61, 0x69, 0x6e, 0x2e, 0x48, 0x74, 0x74,
	0x70, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x18, 0x2e, 0x6d, 0x61, 0x69, 0x6e, 0x2e,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x53, 0x74, 0x61, 0x72, 0x74, 0x52, 0x65, 0x73, 0x75,
	0x6c, 0x74, 0x28, 0x01, 0x30, 0x01, 0x12, 0x3c, 0x0a, 0x0a, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x45, 0x6e, 0x64, 0x12, 0x12, 0x2e, 0x6d, 0x61, 0x69, 0x6e, 0x2e, 0x48, 0x74, 0x74, 0x70,
	0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x1a, 0x16, 0x2e, 0x6d, 0x61, 0x69, 0x6e, 0x2e,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x45, 0x6e, 0x64, 0x52, 0x65, 0x73, 0x75, 0x6c, 0x74,
	0x28, 0x01, 0x30, 0x01, 0x12, 0x3c, 0x0a, 0x0a, 0x43, 0x61, 0x63, 0x68, 0x65, 0x53, 0x74, 0x61,
	0x72, 0x74, 0x12, 0x12, 0x2e, 0x6d, 0x61, 0x69, 0x6e, 0x2e, 0x43, 0x61, 0x63, 0x68, 0x65, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x16, 0x2e, 0x6d, 0x61, 0x69, 0x6e, 0x2e, 0x43, 0x61,
	0x63, 0x68, 0x65, 0x53, 0x74, 0x61, 0x72, 0x74, 0x52, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x28, 0x01,
	0x30, 0x01, 0x12, 0x3c, 0x0a, 0x08, 0x43, 0x61, 0x63, 0x68, 0x65, 0x45, 0x6e, 0x64, 0x12, 0x13,
	0x2e, 0x6d, 0x61, 0x69, 0x6e, 0x2e, 0x43, 0x61, 0x63, 0x68, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f,
	0x6e, 0x73, 0x65, 0x1a, 0x17, 0x2e, 0x6d, 0x61, 0x69, 0x6e, 0x2e, 0x43, 0x61, 0x63, 0x68, 0x65,
	0x56, 0x6f, 0x69, 0x64, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x28, 0x01, 0x30, 0x01,
	0x42, 0x09, 0x5a, 0x07, 0x2e, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x06, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x33,
}

var (
	file_carp_proto_rawDescOnce sync.Once
	file_carp_proto_rawDescData = file_carp_proto_rawDesc
)

func file_carp_proto_rawDescGZIP() []byte {
	file_carp_proto_rawDescOnce.Do(func() {
		file_carp_proto_rawDescData = protoimpl.X.CompressGZIP(file_carp_proto_rawDescData)
	})
	return file_carp_proto_rawDescData
}

var file_carp_proto_enumTypes = make([]protoimpl.EnumInfo, 1)
var file_carp_proto_msgTypes = make([]protoimpl.MessageInfo, 13)
var file_carp_proto_goTypes = []interface{}{
	(Method)(0),                   // 0: main.Method
	(*ConfigurationRequest)(nil),  // 1: main.ConfigurationRequest
	(*ConfigurationResponse)(nil), // 2: main.ConfigurationResponse
	(*HttpRequest)(nil),           // 3: main.HttpRequest
	(*HttpResponse)(nil),          // 4: main.HttpResponse
	(*RequestStartResult)(nil),    // 5: main.RequestStartResult
	(*HttpVoidResponse)(nil),      // 6: main.HttpVoidResponse
	(*RequestEndResult)(nil),      // 7: main.RequestEndResult
	(*CacheStartResult)(nil),      // 8: main.CacheStartResult
	(*CacheRequest)(nil),          // 9: main.CacheRequest
	(*CacheResponse)(nil),         // 10: main.CacheResponse
	(*CacheVoidResponse)(nil),     // 11: main.CacheVoidResponse
	nil,                           // 12: main.HttpRequest.HeadersEntry
	nil,                           // 13: main.HttpResponse.HeadersEntry
}
var file_carp_proto_depIdxs = []int32{
	0,  // 0: main.HttpRequest.method:type_name -> main.Method
	12, // 1: main.HttpRequest.headers:type_name -> main.HttpRequest.HeadersEntry
	13, // 2: main.HttpResponse.headers:type_name -> main.HttpResponse.HeadersEntry
	3,  // 3: main.RequestStartResult.request:type_name -> main.HttpRequest
	4,  // 4: main.RequestStartResult.response:type_name -> main.HttpResponse
	6,  // 5: main.RequestStartResult.void:type_name -> main.HttpVoidResponse
	4,  // 6: main.RequestEndResult.response:type_name -> main.HttpResponse
	6,  // 7: main.RequestEndResult.void:type_name -> main.HttpVoidResponse
	10, // 8: main.CacheStartResult.response:type_name -> main.CacheResponse
	11, // 9: main.CacheStartResult.void:type_name -> main.CacheVoidResponse
	1,  // 10: main.Plugin.Configure:input_type -> main.ConfigurationRequest
	3,  // 11: main.Plugin.RequestStart:input_type -> main.HttpRequest
	4,  // 12: main.Plugin.RequestEnd:input_type -> main.HttpResponse
	9,  // 13: main.Plugin.CacheStart:input_type -> main.CacheRequest
	10, // 14: main.Plugin.CacheEnd:input_type -> main.CacheResponse
	2,  // 15: main.Plugin.Configure:output_type -> main.ConfigurationResponse
	5,  // 16: main.Plugin.RequestStart:output_type -> main.RequestStartResult
	7,  // 17: main.Plugin.RequestEnd:output_type -> main.RequestEndResult
	8,  // 18: main.Plugin.CacheStart:output_type -> main.CacheStartResult
	11, // 19: main.Plugin.CacheEnd:output_type -> main.CacheVoidResponse
	15, // [15:20] is the sub-list for method output_type
	10, // [10:15] is the sub-list for method input_type
	10, // [10:10] is the sub-list for extension type_name
	10, // [10:10] is the sub-list for extension extendee
	0,  // [0:10] is the sub-list for field type_name
}

func init() { file_carp_proto_init() }
func file_carp_proto_init() {
	if File_carp_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_carp_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ConfigurationRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_carp_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ConfigurationResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_carp_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*HttpRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_carp_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*HttpResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_carp_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*RequestStartResult); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_carp_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*HttpVoidResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_carp_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*RequestEndResult); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_carp_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CacheStartResult); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_carp_proto_msgTypes[8].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CacheRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_carp_proto_msgTypes[9].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CacheResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_carp_proto_msgTypes[10].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CacheVoidResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	file_carp_proto_msgTypes[4].OneofWrappers = []interface{}{
		(*RequestStartResult_Request)(nil),
		(*RequestStartResult_Response)(nil),
		(*RequestStartResult_Void)(nil),
	}
	file_carp_proto_msgTypes[6].OneofWrappers = []interface{}{
		(*RequestEndResult_Response)(nil),
		(*RequestEndResult_Void)(nil),
	}
	file_carp_proto_msgTypes[7].OneofWrappers = []interface{}{
		(*CacheStartResult_Response)(nil),
		(*CacheStartResult_Void)(nil),
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_carp_proto_rawDesc,
			NumEnums:      1,
			NumMessages:   13,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_carp_proto_goTypes,
		DependencyIndexes: file_carp_proto_depIdxs,
		EnumInfos:         file_carp_proto_enumTypes,
		MessageInfos:      file_carp_proto_msgTypes,
	}.Build()
	File_carp_proto = out.File
	file_carp_proto_rawDesc = nil
	file_carp_proto_goTypes = nil
	file_carp_proto_depIdxs = nil
}
